GET /contacts

Contacts (search on name, email, company or a phone; tags; platform; subscription)

GET
/contacts

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

profileId?string

Profile

accountId?string

Channel account

search?string

Name, email, company or phone

tag?string

One tag

tags?string

Comma-separated, any

platform?string

Channel platform

isSubscribed?string

Subscription

Value in"true""false"
limit?integer

Page size

Range1 <= value
skip?integer

Items to skip

Range0 <= value

Response Body

{success, contacts, filters, pagination}

application/json
  1. response
success?boolean
contacts?array<>
filters?
pagination?
Example Request
curl -X GET 'https://example.com/api/v1/contacts'
Example Response
{  "success": true,  "contacts": [    {      "id": "string",      "name": "string",      "email": "string",      "company": "string",      "avatarUrl": "string",      "tags": [        "string"      ],      "isSubscribed": true,      "isBlocked": true,      "customFields": {},      "notes": "string",      "profileId": "string",      "messagesSentCount": 0,      "messagesReceivedCount": 0,      "lastMessageSentAt": "2019-08-24T14:15:22Z",      "lastMessageReceivedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "filters": {    "tags": [      "string"    ]  },  "pagination": {    "total": 0,    "limit": 0,    "skip": 0,    "hasMore": true  }}